Description
Hi,

| have been trying to estimate a panel regression using xtreg, fe in Stata. My observations are at the level of individuals for multiple
waves. Since svy is not supported, how can | run the fixed effects estimation taking account of sample design? | have included
pweight, but don't know how to account for clustering and strata. Would | end the xtreg command with "vce(cluster psu)"? Or should |
use "vce(cluster pidp)"? Or one source | read suggested creating a new variable consisting of unique combinations of psu and strata
(call it uniquevar) and then using "vce(cluster uniquevar)". | don't really understand the econometrics behind this, so any help would
be appreciated.

History
- Status changed from New to In Progress
- % Done changed from 0 to 10

- Private changed from Yes to No
Hi Leilah,

Many thanks for your enquiry. The Understanding Society team is looking into it and we will get back to you as soon as we can.

We aim to respond to simple queries within 48 hours and more complex issues within 7 working days. While we will aim to keep to this response
times due to the current coronavirus (COVID-19) related situation it may take us longer to respond.

Best wishes,
Understanding Society User Support Team

#2 - 02/04/2021 07:12 PM - Understanding Society User Support Team
- Status changed from In Progress to Feedback

- % Done changed from 10 to 80

Dear Leilah,

Your question is about Stata and more generally about statistics/econometrics. That is beyond the remit of this forum. Our remit is to answer any
questions you have about the data, appropriate weights to use, describe the sample design, etc.

You can post your question on Statalist which is often very helpful. https://www.statalist.org/forums/ You can also search the forum as similar
questions may have been asked before, and answered.

Best wishes,
Understanding Society User Support Team

#3 - 02/05/2021 12:02 PM - Olena Kaminska
Leilah,

Thank you for your question. My suggestion is the following:

1) ignore stratification - this can't be taken into account with xtreg, | think. Your results would be more conservative (point estimates correct, but Cl
would be slightly wider).

2) Also, please do not use uniquevar or equivalent - this will be wrong in UKHLS context as stratification is more complex than in many other surveys
(this could be true for some other surveys with a much simpler sample design).

3) Make sure to use PSU as your highest clustering level, with individuals being at a lower one.

4) Make sure to apply weights. | think you should be able to specify [pw=weight]
Hope this helps,
Olena

#4 - 02/05/2021 12:05 PM - Leilah Plant-Tchenguiz

Okay, thank you so much!

#5 - 02/11/2021 11:30 AM - Understanding Society User Support Team

- Assignee changed from Understanding Society User Support Team to Olena Kaminska
